Subject: Re: bug#38086: RAID installation script with ‘mdadm’ no longer works
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: Vagrant Cascadian <[email-masked]>, [email-masked]
Date: Sun, 19 Jan 2020 23:13:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> It's just waiting for input:
>
>  $ # dd & losetup magic, where loop0 is 20% larger than loop1
>  $ sudo mdadm --create /dev/md0 --verbose --level=mirror
> --raid-devices=2 /dev/loop{0,1}
>  mdadm: Note: this array has metadata at the start and
>    may not be suitable as a boot device.  If you plan to
>    store '/boot' on this device please ensure that
>    your boot-loader understands md/v1.x metadata, or use
>    --metadata=0.90
>  mdadm: size set to 101376K
>  mdadm: largest drive (/dev/loop1) exceeds size (101376K) by more than
> 1%
>  Continue creating array?

D’oh, I hadn’t seen that message.

> Adding --force does not avoid this.
>
> I recommend tweaking the partition table to make both members equal,
> but a ‘yes|’ also works if you're in a hurry ;-)

“yes|” works like a charm, I went this that.

Pushed in commit 3adf320e44e54017a67f219ce9667a379c393dad, thank you!

Ludo’.